
*****************************************************************************
*create scrambled HID "HID_PUBLIC"
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\00_ETH_BASICINFO.dta", clear
sort HID
gen HID_P=_n

sum HID_P

/*
Variable        Obs	Mean	Std. Dev.	Min	Max
					
HID_P	16672	8336.5	4812.936	1	16672

*/

keep HID HID_P
label variable HID_P "Scrambled Household Identification for public use "

*There are 11280 uniqaue Household ID scrambled
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", replace

*******************************************
*merge the scrambled HID_PUBLIC back to the SHIP files

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\00_ETH_BASICINFO.dta"


/*Result                           # of obs.
-----------------------------------------
not matched                             0
matched                            16,672	(_merge==3)
-----------------------------------------

*/
*A complete merge

drop HID _merge

save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\00_ETH_BASICINFO_P.dta", replace
*******
*******
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\01_ETH_EXPFOOD.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\01_ETH_EXPFOOD_P.dta", replace
******
******
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\02_ETH_EXPALCH.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\02_ETH_EXPALCH_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\03_ETH_EXPCLTH.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\03_ETH_EXPCLTH_P.dta"
********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\04_ETH_EXPHOUS.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\04_ETH_EXPHOUS_P.dta"

*********
*********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\05_ETH_EXPFURN.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\05_ETH_EXPFURN_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\06_ETH_EXPHLTH.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\06_ETH_EXPHLTH_P.dta"
********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\07_ETH_EXPTRSP.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\07_ETH_EXPTRSP_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\08_ETH_EXPCMNQ.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\08_ETH_EXPCMNQ_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\09_ETH_EXPRCRE.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\09_ETH_EXPRCRE_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\10_ETH_EXPEDUC.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\10_ETH_EXPEDUC_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\11_ETH_EXPHOTL.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\11_ETH_EXPHOTL_P.dta"

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\12_ETH_EXPMISC.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\12_ETH_EXPMISC_P.dta"

/********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\13_ETH_FDPINDEX.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\13_ETH_FDPINDEX_P.dta"

NO FOOD INDEX FILE FROM THE ORIGINAL DATA.
********
********/
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_E.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\ETH_2000_E_P.dta", replace

********
********
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:1 HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_H.dta"
*A complete merge as the above

drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\ETH_2000_H_P.dta"

**********************************************
*merge public HID to individual level files

*******
*******
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:m HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\INDICATORS.dta"

   /* Result                           # of obs.
-----------------------------------------
not matched                             0
matched                            50,713	(_merge==3)
-----------------------------------------
*/
	*A complete merge
	drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\ETH_2000 INDICATORS_P.dta"

*******
*******
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:m HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_I.dta"

  *A complete merge as the above
	drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\ETH_2000_I_P.dta"

*******
/*******
use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\Z_ETH_2000_ID.dta", clear
merge 1:m HID using "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_L.dta"

  *NO LABOR FILE
	drop HID _merge
save "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA_PUBLIC\ETH_2000_L_P.dta"

*/

***********************************************************************************
****verify # of unduplicated HID in AGGDATA folder, using _BASICINFO.dta as standard

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\00_ETH_BASICINFO.dta", clear
duplicates r HID

/*Duplicates in terms of HID


--------------------------------------
   copies | observations       surplus
----------+---------------------------
        1 |        10874             0
--------------------------------------
*/

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\01_ETH_EXPFOOD.dta", clear
duplicates r HID
*same results as the above
*verify the ID consistency in household level files

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\02_ETH_EXPALCH.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\03_ETH_EXPCLTH.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\04_ETH_EXPHOUS.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\05_ETH_EXPFURN.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\06_ETH_EXPHLTH.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\07_ETH_EXPTRSP.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\08_ETH_EXPCMNQ.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\09_ETH_EXPRCRE.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\10_ETH_EXPEDUC.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\11_ETH_EXPHOTL.dta", clear
duplicates r HID
*same results as the above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\12_ETH_EXPMISC.dta", clear
duplicates r HID
*same results as the above

/*use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\13_ETH_FDPINDEX.dta", clear
duplicates r HID
*same results as the above
NO FOOD PRICE INDEX FILE*/

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_E.dta", clear
duplicates r HID
*same results as above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_H.dta", clear
duplicates r HID
*same results as above

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_INDICATORS.dta", clear
codebook HID

/*
HID						Household	unique	ID
								

	type:	string (str10)

	unique values:	10874	missing	"":	0/50713

	examples:	"3320187050"
		"4480385057"
		"7710629012"
		"7820826002"

*/

*It has 10874 unique HID, same as the Household level file

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_I.dta", clear
codebook HID
*Same results as the above 

use "U:\AFRSHIP\SHIP files\Ethiopia\Ethiopia 2000\04_AGGDATA\ETH_2000_L.dta", clear
codebook HID
*Same results as the above 
